Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.core.annotation
Class AnnotationAttributes

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap<K,V>
              java.util.LinkedHashMap<java.lang.String,java.lang.Object>
                  org.springframework.core.annotation.AnnotationAttributes

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.String,java.lang.Object>

    public class AnnotationAttributes

extends java.util.LinkedHashMap<java.lang.String,java.lang.Object>

`LinkedHashMap` subclass representing annotation attribute key/value pairs as read by Spring's reflection- or ASM-based `AnnotationMetadata` implementations. Provides 'pseudo-reification' to avoid noisy Map generics in the calling code as well as convenience methods for looking up annotation attributes in a type-safe fashion.

Since:
  3.1.1
Author:
  Chris Beams
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.util.AbstractMap
`java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

Constructor Summary
`AnnotationAttributes()` Create a new, empty `AnnotationAttributes` instance.
`AnnotationAttributes(int initialCapacity)` Create a new, empty `AnnotationAttributes` instance with the given initial capacity to optimize performance.
`AnnotationAttributes(java.util.Map<java.lang.String,java.lang.Object> map)` Create a new `AnnotationAttributes` instance, wrapping the provided map and all its key/value pairs.

Method Summary
`static AnnotationAttributes` | `fromMap(java.util.Map<java.lang.String,java.lang.Object> map)` Return an `AnnotationAttributes` instance based on the given map; if the map is already an `AnnotationAttributes` instance, it is casted and returned immediately without creating any new instance; otherwise create a new instance by wrapping the map with the `AnnotationAttributes(Map)` constructor.
`AnnotationAttributes` | `getAnnotation(java.lang.String attributeName)`
`AnnotationAttributes[]` | `getAnnotationArray(java.lang.String attributeName)`
`boolean` | `getBoolean(java.lang.String attributeName)`
`
`<T> java.lang.Class<? extends T>`
` | `getClass(java.lang.String attributeName)`
`java.lang.Class<?>[]` | `getClassArray(java.lang.String attributeName)`
`
`<E extends java.lang.Enum<?>> E`
` | `getEnum(java.lang.String attributeName)`
`
`<N extends java.lang.Number> N`
` | `getNumber(java.lang.String attributeName)`
`java.lang.String` | `getString(java.lang.String attributeName)`
`java.lang.String[]` | `getStringArray(java.lang.String attributeName)`

Methods inherited from class java.util.LinkedHashMap
`clear, containsValue, get, removeEldestEntry`

Methods inherited from class java.util.HashMap
`clone, containsKey, entrySet, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`containsKey, entrySet, equals, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Constructor Detail

### AnnotationAttributes

    public AnnotationAttributes()

  Create a new, empty `AnnotationAttributes` instance.

### AnnotationAttributes

    public AnnotationAttributes(int initialCapacity)

  Create a new, empty `AnnotationAttributes` instance with the given initial capacity to optimize performance.

  Parameters:
    `initialCapacity` - initial size of the underlying map

### AnnotationAttributes

    public AnnotationAttributes(java.util.Map<java.lang.String,java.lang.Object> map)

  Create a new `AnnotationAttributes` instance, wrapping the provided map and all its key/value pairs.

  Parameters:
    `map` - original source of annotation attribute key/value pairs to wrap
  See Also:
    `fromMap(Map)`

Method Detail

### fromMap

    public static AnnotationAttributes fromMap(java.util.Map<java.lang.String,java.lang.Object> map)

  Return an `AnnotationAttributes` instance based on the given map; if the map is already an `AnnotationAttributes` instance, it is casted and returned immediately without creating any new instance; otherwise create a new instance by wrapping the map with the `AnnotationAttributes(Map)` constructor.

  Parameters:
    `map` - original source of annotation attribute key/value pairs

### getString

    public java.lang.String getString(java.lang.String attributeName)

### getStringArray

    public java.lang.String[] getStringArray(java.lang.String attributeName)

### getBoolean

    public boolean getBoolean(java.lang.String attributeName)

### getNumber

    public <N extends java.lang.Number> N getNumber(java.lang.String attributeName)

### getEnum

    public <E extends java.lang.Enum<?>> E getEnum(java.lang.String attributeName)

### getClass

    public <T> java.lang.Class<? extends T> getClass(java.lang.String attributeName)

### getClassArray

    public java.lang.Class<?>[] getClassArray(java.lang.String attributeName)

### getAnnotation

    public AnnotationAttributes getAnnotation(java.lang.String attributeName)

### getAnnotationArray

    public AnnotationAttributes[] getAnnotationArray(java.lang.String attributeName)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD